INTERFACE
SUBROUTINE MF_PHYSAD&
 & (KST,KEND,KGL3,KGL4,KOFF,KSTGLO,LDRETCFOU,PDTPHY,&
 & PGELAM,PGEMU,PGM,POROG,&
 & PUT0,PVT0,PTT0,PQT0,PQT0L,PQT0M,&
 & PCP0,PDELP0,PRDELP0,PHI0,PHIF0,PRE0,PRE0F,PEVEL0,&
 & PUT9,PVT9,PTT9,PQT9,&
 & PCP9,PDELP9,PRDELP9,PHI9,PHIF9,PRE9,PRE9F,&
 & PQS,PQS1,PSNS,PTS,PTS1,&
 & PB1,PGMVT1,PGFLT1,&
 & KFIELDS,&
 & PUT5,PVT5,PTT5,PQT5,PQT5L,PQT5M,&
 & PCP5,PDELP5,PRDELP5,PHI5,PHIF5,PRE5,PRE5F,PEVEL5,&
 & PUT95,PVT95,PTT95,PQT95,&
 & PCP95,PDELP95,PRDELP95,PHI95,PHIF95,PRE95,PRE95F,&
 & PSD_VF5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLSA ,NFLEVG ,NFLSUL ,NPROMA ,NPROMM
USE YOMDIMT , ONLY : NPROMT
USE YOMSC2 , ONLY : NFLDSLB1
USE SURFACE_FIELDS_MIX, ONLY : YSD_VFD, YSD_VF
USE YOMGMV , ONLY : YT1
USE YOM_YGFL , ONLY : YGFL, YQ
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
INTEGER(KIND=JPIM),INTENT(IN) :: KGL3
INTEGER(KIND=JPIM),INTENT(IN) :: KGL4
INTEGER(KIND=JPIM),INTENT(IN) :: KOFF
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
LOGICAL ,INTENT(IN) :: LDRETCFOU
REAL(KIND=JPRB) ,INTENT(IN) :: PDTPHY
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQT0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQT0M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCP0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDELP0(NPROMA,0:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRDELP0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHI0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHIF0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRE0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRE0F(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEVEL0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCP9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDELP9(NPROMA,0:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRDELP9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHI9(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHIF9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRE9(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRE9F(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS(NPROMM)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS1(NPROMM)
REAL(KIND=JPRB) ,INTENT(IN) :: PSNS(NPROMM)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(NPROMM)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS1(NPROMM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1(NPROMA,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1(NPROMA,NFLEVG,YT1%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFLT1(NPROMA,NFLEVG,YGFL%NDIM1)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KFIELDS
REAL(KIND=JPRB) ,INTENT(IN) :: PUT5(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVT5(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTT5(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQT5(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQT5L(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQT5M(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCP5(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP5(NPROMT,0:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP5(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PHI5(NPROMT,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PHIF5(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE5(NPROMT,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE5F(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVEL5(NPROMT,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PUT95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVT95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTT95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQT95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCP95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP95(NPROMT,0:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PHI95(NPROMT,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PHIF95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE95(NPROMT,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE95F(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSD_VF5(NPROMT,YSD_VFD%NDIM5)
END SUBROUTINE MF_PHYSAD
END INTERFACE
